EXEC [dbo].[__AddStoredProcInfo]
    /* StoredProc_Name         */ 'JobTemplates_GetJobTemplates',
    /* Internal_Indicator      */ 'N',
    /* ReturnType_Name         */ 'DataTable',
    /* DataTableNames_Csv      */ 'JobTemplates',
    /* OutputPropertyNames_Csv */ NULL,
    /* Description_Text        */ 'Gets one or more job templates.'
GO


IF OBJECT_ID('[JobTemplates_GetJobTemplates]') IS NOT NULL DROP PROCEDURE [JobTemplates_GetJobTemplates]
GO

SET QUOTED_IDENTIFIER ON
GO

CREATE PROCEDURE [JobTemplates_GetJobTemplates]
(
    @JobTemplate_Id INT = NULL,
	@JobTemplate_Name NVARCHAR(100) = NULL
)
AS
BEGIN

SET NOCOUNT ON

	IF @JobTemplate_Id IS NOT NULL
		SELECT *
		  FROM [JobTemplates]
		 WHERE [JobTemplate_Id] = @JobTemplate_Id
	ELSE IF @JobTemplate_Name IS NOT NULL
		SELECT *
		  FROM [JobTemplates]
		 WHERE [JobTemplate_Name] = @JobTemplate_Name
	ELSE
		SELECT *
		  FROM [JobTemplates]

END
GO

GRANT EXECUTE ON [JobTemplates_GetJobTemplates] TO [OtterUser_Role]
